function  ex18_11
%
% d 18-11  qϱyFʺA
%
clear
clc
close  all
%
global  L  I  R  KT  Ke  C
%
L=0.002; % FqP (H)
I=5e-5;  % FʺDq (kg.m^2)
R=8;     % Fq (کi)
KT=0.03;  % Ox` (N.m/A)
Ke=0.05;  % Ϲqʶձ` (V.s/rad)
C=0.1;   
%
x0=[0  0]; % _l
tspan=[0  0.01]; % ɶ
%
[t,x]=ode15s(@odefun, tspan, x0);
%
i=x(:,1);
w=x(:,2);
%
subplot(2,1,1)
plot(t*1e3, i, 'r', t*1e3, w, 'b')  
ylabel('FqyMt')
title('qϱyFʺA')
legend('Fqy','t')
%
for i=1:length(t)
   v(i)=voltage(t(i)); % q
end
%
subplot(2,1,2)
plot(t*1e3,v)
xlabel('ɶ(L)')
ylabel('q (V)')
%
% qϱyFʺA{
%
function  xdot=odefun(t,x)
global L  I  R  KT  Ke  C
i=x(1);
w=x(2);
v=voltage(t);
xdot=[1/L*(-R*i-Ke*w+v)
      1/I*(KT*i-C*w)];
%
% q
%  
function  v=voltage(t)
if  t <= 0.002
    v=3000*t;
elseif  t <= 0.005
    v=6;
elseif  t <= 0.007
    v=-3000*(t-0.005)+6;
else
    v=0;
end
